javax.jdo.metadata

## Interface EmbeddedMetadata

- All Superinterfaces:
    Metadata

      public interface EmbeddedMetadata
      extends Metadata

  Represents embedding details of a field/property in a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiscriminatorMetadata` | `getDiscriminatorMetadata()` Accessor for the discriminator metadata when handling inherited objects.
    `MemberMetadata[]` | `getMembers()` Accessor for all fields/properties defined on the fetch group.
    `String` | `getNullIndicatorColumn()` Accessor for any column indicating a null embedded object.
    `String` | `getNullIndicatorValue()` Accessor for a null indicator value.
    `int` | `getNumberOfMembers()` Accessor for the number of fields/properties defined for embedding.
    `String` | `getOwnerMember()` Accessor for the owner field/property name.
    `DiscriminatorMetadata` | `newDiscriminatorMetadata()` Method to define the new discriminator metadata for handling inherited embedded objects.
    `FieldMetadata` | `newFieldMetadata(String name)` Add a new field to be embedded.
    `PropertyMetadata` | `newPropertyMetadata(String name)` Add a new property for embedding.
    `EmbeddedMetadata` | `setNullIndicatorColumn(String col)` Method to set any column that indicates a null embedded object.
    `EmbeddedMetadata` | `setNullIndicatorValue(String val)` Method to set the value of a null indicator column to signify null object.
    `EmbeddedMetadata` | `setOwnerMember(String member)` Method to set the name of the owner field/property.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setOwnerMember

          EmbeddedMetadata setOwnerMember(String member)

      Method to set the name of the owner field/property.
      Parameters:
        `member` - Name of the owner member
      Returns:
        This metadata object

    - #### getOwnerMember

          String getOwnerMember()

      Accessor for the owner field/property name.
      Returns:
        The owner member name

    - #### setNullIndicatorColumn

          EmbeddedMetadata setNullIndicatorColumn(String col)

      Method to set any column that indicates a null embedded object.
      Parameters:
        `col` - Null indicator column
      Returns:
        This metadata object

    - #### getNullIndicatorColumn

          String getNullIndicatorColumn()

      Accessor for any column indicating a null embedded object.
      Returns:
        Whether to call post-load

    - #### setNullIndicatorValue

          EmbeddedMetadata setNullIndicatorValue(String val)

      Method to set the value of a null indicator column to signify null object.
      Parameters:
        `val` - Null indicator value
      Returns:
        This metadata object

    - #### getNullIndicatorValue

          String getNullIndicatorValue()

      Accessor for a null indicator value.
      Returns:
        Null indicator value

    - #### getMembers

          MemberMetadata[] getMembers()

      Accessor for all fields/properties defined on the fetch group.
      Returns:
        The members

    - #### getNumberOfMembers

          int getNumberOfMembers()

      Accessor for the number of fields/properties defined for embedding.
      Returns:
        The number of members

    - #### newFieldMetadata

          FieldMetadata newFieldMetadata(String name)

      Add a new field to be embedded.
      Parameters:
        `name` - Name of the field
      Returns:
        The FieldMetadata

    - #### newPropertyMetadata

          PropertyMetadata newPropertyMetadata(String name)

      Add a new property for embedding.
      Parameters:
        `name` - Name of the property
      Returns:
        The PropertyMetadata

    - #### getDiscriminatorMetadata

          DiscriminatorMetadata getDiscriminatorMetadata()

      Accessor for the discriminator metadata when handling inherited objects.
      Returns:
        Discriminator details

    - #### newDiscriminatorMetadata

          DiscriminatorMetadata newDiscriminatorMetadata()

      Method to define the new discriminator metadata for handling inherited embedded objects.
      Returns:
        Discriminator metadata

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.